# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: reclosermodule/reclosermodule.proto
"""Generated protocol buffer code."""
from google.protobuf.internal import builder as _builder
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import uml_pb2 as uml__pb2
from google.protobuf import wrappers_pb2 as google_dot_protobuf_dot_wrappers__pb2
from commonmodule import commonmodule_pb2 as commonmodule_dot_commonmodule__pb2


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n#reclosermodule/reclosermodule.proto\x12\x0ereclosermodule\x1a\tuml.proto\x1a\x1egoogle/protobuf/wrappers.proto\x1a\x1f\x63ommonmodule/commonmodule.proto\"c\n\x1bRecloserDiscreteControlXCBR\x12\x44\n\x13\x64iscreteControlXCBR\x18\x01 \x01(\x0b\x32!.commonmodule.DiscreteControlXCBRB\x04\x80\xb5\x18\x01\"\xd1\x01\n\x17RecloserDiscreteControl\x12\x36\n\x0c\x63ontrolValue\x18\x01 \x01(\x0b\x32\x1a.commonmodule.ControlValueB\x04\x80\xb5\x18\x01\x12,\n\x05\x63heck\x18\x02 \x01(\x0b\x32\x1d.commonmodule.CheckConditions\x12P\n\x1brecloserDiscreteControlXCBR\x18\x03 \x01(\x0b\x32+.reclosermodule.RecloserDiscreteControlXCBR\"\x80\x01\n\x08Recloser\x12\x44\n\x13\x63onductingEquipment\x18\x01 \x01(\x0b\x32!.commonmodule.ConductingEquipmentB\x04\x80\xb5\x18\x01\x12.\n\nnormalOpen\x18\x02 \x01(\x0b\x32\x1a.google.protobuf.BoolValue\"\xf4\x01\n\x1eRecloserDiscreteControlProfile\x12\x42\n\x12\x63ontrolMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ControlMessageInfoB\x04\x80\xb5\x18\x01\x12\x34\n\x08recloser\x18\x02 \x01(\x0b\x32\x18.reclosermodule.RecloserB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12R\n\x17recloserDiscreteControl\x18\x03 \x01(\x0b\x32\'.reclosermodule.RecloserDiscreteControlB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\x81\x01\n\rRecloserEvent\x12\x32\n\neventValue\x18\x01 \x01(\x0b\x32\x18.commonmodule.EventValueB\x04\x80\xb5\x18\x01\x12<\n\x12statusAndEventXCBR\x18\x02 \x01(\x0b\x32 .commonmodule.StatusAndEventXCBR\"\xd2\x01\n\x14RecloserEventProfile\x12>\n\x10\x65ventMessageInfo\x18\x01 \x01(\x0b\x32\x1e.commonmodule.EventMessageInfoB\x04\x80\xb5\x18\x01\x12\x34\n\x08recloser\x18\x02 \x01(\x0b\x32\x18.reclosermodule.RecloserB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12>\n\rrecloserEvent\x18\x03 \x01(\x0b\x32\x1d.reclosermodule.RecloserEventB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\xb5\x02\n\x0fRecloserReading\x12\x62\n\"conductingEquipmentTerminalReading\x18\x01 \x01(\x0b\x32\x30.commonmodule.ConductingEquipmentTerminalReadingB\x04\x80\xb5\x18\x01\x12\x32\n\x0f\x64iffReadingMMXU\x18\x02 \x01(\x0b\x32\x19.commonmodule.ReadingMMXU\x12*\n\tphaseMMTN\x18\x03 \x01(\x0b\x32\x17.commonmodule.PhaseMMTN\x12.\n\x0breadingMMTR\x18\x04 \x01(\x0b\x32\x19.commonmodule.ReadingMMTR\x12.\n\x0breadingMMXU\x18\x05 \x01(\x0b\x32\x19.commonmodule.ReadingMMXU\"\xe0\x01\n\x16RecloserReadingProfile\x12\x42\n\x12readingMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ReadingMessageInfoB\x04\x80\xb5\x18\x01\x12\x34\n\x08recloser\x18\x02 \x01(\x0b\x32\x18.reclosermodule.RecloserB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x46\n\x0frecloserReading\x18\x03 \x03(\x0b\x32\x1f.reclosermodule.RecloserReadingB\x0c\x88\xb5\x18\x01\x90\xb5\x18\x01\x98\xb5\x18\x02:\x04\xc0\xf3\x18\x01\"\x84\x01\n\x0eRecloserStatus\x12\x34\n\x0bstatusValue\x18\x01 \x01(\x0b\x32\x19.commonmodule.StatusValueB\x04\x80\xb5\x18\x01\x12<\n\x12statusAndEventXCBR\x18\x02 \x01(\x0b\x32 .commonmodule.StatusAndEventXCBR\"\xd7\x01\n\x15RecloserStatusProfile\x12@\n\x11statusMessageInfo\x18\x01 \x01(\x0b\x32\x1f.commonmodule.StatusMessageInfoB\x04\x80\xb5\x18\x01\x12\x34\n\x08recloser\x18\x02 \x01(\x0b\x32\x18.reclosermodule.RecloserB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12@\n\x0erecloserStatus\x18\x03 \x01(\x0b\x32\x1e.reclosermodule.RecloserStatusB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\x42\x8a\x01\n\x16openfmb.reclosermoduleP\x01ZUgitlab.com/openfmb/psm/ops/protobuf/go-openfmb-ops-protobuf/v2/openfmb/reclosermodule\xaa\x02\x16openfmb.reclosermoduleb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'reclosermodule.reclosermodule_pb2', _globals)
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  DESCRIPTOR._serialized_options = b'\n\026openfmb.reclosermoduleP\001ZUgitlab.com/openfmb/psm/ops/protobuf/go-openfmb-ops-protobuf/v2/openfmb/reclosermodule\252\002\026openfmb.reclosermodule'
  _RECLOSERDISCRETECONTROLXCBR.fields_by_name['discreteControlXCBR']._options = None
  _RECLOSERDISCRETECONTROLXCBR.fields_by_name['discreteControlXCBR']._serialized_options = b'\200\265\030\001'
  _RECLOSERDISCRETECONTROL.fields_by_name['controlValue']._options = None
  _RECLOSERDISCRETECONTROL.fields_by_name['controlValue']._serialized_options = b'\200\265\030\001'
  _RECLOSER.fields_by_name['conductingEquipment']._options = None
  _RECLOSER.fields_by_name['conductingEquipment']._serialized_options = b'\200\265\030\001'
  _RECLOSERDISCRETECONTROLPROFILE.fields_by_name['controlMessageInfo']._options = None
  _RECLOSERDISCRETECONTROLPROFILE.fields_by_name['controlMessageInfo']._serialized_options = b'\200\265\030\001'
  _RECLOSERDISCRETECONTROLPROFILE.fields_by_name['recloser']._options = None
  _RECLOSERDISCRETECONTROLPROFILE.fields_by_name['recloser']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _RECLOSERDISCRETECONTROLPROFILE.fields_by_name['recloserDiscreteControl']._options = None
  _RECLOSERDISCRETECONTROLPROFILE.fields_by_name['recloserDiscreteControl']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _RECLOSERDISCRETECONTROLPROFILE._options = None
  _RECLOSERDISCRETECONTROLPROFILE._serialized_options = b'\300\363\030\001'
  _RECLOSEREVENT.fields_by_name['eventValue']._options = None
  _RECLOSEREVENT.fields_by_name['eventValue']._serialized_options = b'\200\265\030\001'
  _RECLOSEREVENTPROFILE.fields_by_name['eventMessageInfo']._options = None
  _RECLOSEREVENTPROFILE.fields_by_name['eventMessageInfo']._serialized_options = b'\200\265\030\001'
  _RECLOSEREVENTPROFILE.fields_by_name['recloser']._options = None
  _RECLOSEREVENTPROFILE.fields_by_name['recloser']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _RECLOSEREVENTPROFILE.fields_by_name['recloserEvent']._options = None
  _RECLOSEREVENTPROFILE.fields_by_name['recloserEvent']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _RECLOSEREVENTPROFILE._options = None
  _RECLOSEREVENTPROFILE._serialized_options = b'\300\363\030\001'
  _RECLOSERREADING.fields_by_name['conductingEquipmentTerminalReading']._options = None
  _RECLOSERREADING.fields_by_name['conductingEquipmentTerminalReading']._serialized_options = b'\200\265\030\001'
  _RECLOSERREADINGPROFILE.fields_by_name['readingMessageInfo']._options = None
  _RECLOSERREADINGPROFILE.fields_by_name['readingMessageInfo']._serialized_options = b'\200\265\030\001'
  _RECLOSERREADINGPROFILE.fields_by_name['recloser']._options = None
  _RECLOSERREADINGPROFILE.fields_by_name['recloser']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _RECLOSERREADINGPROFILE.fields_by_name['recloserReading']._options = None
  _RECLOSERREADINGPROFILE.fields_by_name['recloserReading']._serialized_options = b'\210\265\030\001\220\265\030\001\230\265\030\002'
  _RECLOSERREADINGPROFILE._options = None
  _RECLOSERREADINGPROFILE._serialized_options = b'\300\363\030\001'
  _RECLOSERSTATUS.fields_by_name['statusValue']._options = None
  _RECLOSERSTATUS.fields_by_name['statusValue']._serialized_options = b'\200\265\030\001'
  _RECLOSERSTATUSPROFILE.fields_by_name['statusMessageInfo']._options = None
  _RECLOSERSTATUSPROFILE.fields_by_name['statusMessageInfo']._serialized_options = b'\200\265\030\001'
  _RECLOSERSTATUSPROFILE.fields_by_name['recloser']._options = None
  _RECLOSERSTATUSPROFILE.fields_by_name['recloser']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _RECLOSERSTATUSPROFILE.fields_by_name['recloserStatus']._options = None
  _RECLOSERSTATUSPROFILE.fields_by_name['recloserStatus']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _RECLOSERSTATUSPROFILE._options = None
  _RECLOSERSTATUSPROFILE._serialized_options = b'\300\363\030\001'
  _globals['_RECLOSERDISCRETECONTROLXCBR']._serialized_start=131
  _globals['_RECLOSERDISCRETECONTROLXCBR']._serialized_end=230
  _globals['_RECLOSERDISCRETECONTROL']._serialized_start=233
  _globals['_RECLOSERDISCRETECONTROL']._serialized_end=442
  _globals['_RECLOSER']._serialized_start=445
  _globals['_RECLOSER']._serialized_end=573
  _globals['_RECLOSERDISCRETECONTROLPROFILE']._serialized_start=576
  _globals['_RECLOSERDISCRETECONTROLPROFILE']._serialized_end=820
  _globals['_RECLOSEREVENT']._serialized_start=823
  _globals['_RECLOSEREVENT']._serialized_end=952
  _globals['_RECLOSEREVENTPROFILE']._serialized_start=955
  _globals['_RECLOSEREVENTPROFILE']._serialized_end=1165
  _globals['_RECLOSERREADING']._serialized_start=1168
  _globals['_RECLOSERREADING']._serialized_end=1477
  _globals['_RECLOSERREADINGPROFILE']._serialized_start=1480
  _globals['_RECLOSERREADINGPROFILE']._serialized_end=1704
  _globals['_RECLOSERSTATUS']._serialized_start=1707
  _globals['_RECLOSERSTATUS']._serialized_end=1839
  _globals['_RECLOSERSTATUSPROFILE']._serialized_start=1842
  _globals['_RECLOSERSTATUSPROFILE']._serialized_end=2057
# @@protoc_insertion_point(module_scope)
